Judgments

India Judgment Text

Call GET /india/judgments/{judgment_id}/text on the Corpus API.

GET /india/judgments/{judgment_id}/text

Call GET /india/judgments/{judgment_id}/text on the Corpus API.

Category: India · Judgments

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: india:read, litigation:read.

Request

NameInRequiredTypeConstraintsDescription
judgment_idpathyesstring

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/india/judgments/judgment-example/text' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonIndiaJudgmentTextResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonErrorResponse

Representative 200 response

{
  "judgment_id": "judgment-example",
  "text": "string"
}